textures/corridor/b4-coda
{
	surfaceparm nodlight
	surfaceparm nolightmap
	qer_editorimage textures/corridor/b4-coda-oversat.tga
	{
		map textures/corridor/black
	}
	{
		map textures/corridor/b4-coda-desat.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
	{
		map textures/corridor/b4-coda-oversat.tga
		  //fade in approaching
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
}

textures/corridor/b4-coda-trans
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	qer_editorimage textures/corridor/b4-coda-orig.tga
	{
		map textures/corridor/b4-coda-orig.tga
		blendFunc add
		rgbgen identitylighting
	}
}

textures/corridor/new-screen1
{
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nonsolid
	qer_editorimage textures/common/black.tga
	{
		map textures/menger/white-texture.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 512
		rgbgen identitylighting
	}
}

textures/corridor/new-screen2
{
	cull none
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_editorimage textures/common/black.tga
	{
		map textures/menger/white-texture.tga
		  //fade in approaching
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 768
		rgbgen identitylighting
	}
}

textures/corridor/b-m2-1
{
	surfaceparm nodlight
	surfaceparm nolightmap
	qer_editorimage textures/corridor/b-m2-1-oversat.tga
	{
		map textures/corridor/black
	}
	{
		map textures/corridor/b-m2-1-desat.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
	{
		map textures/corridor/b-m2-1-oversat.tga
		  //fade in approaching
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
}

textures/corridor/scp2
{
	surfaceparm nodlight
	surfaceparm nolightmap
	qer_editorimage textures/corridor/scp-oversat.tga
	{
		map textures/corridor/black
	}
	{
		map textures/corridor/scp-desat.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
	{
		map textures/corridor/scp-oversat.tga
		  //fade in approaching
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
}

textures/corridor/fractal2
{
	surfaceparm nodlight
	surfaceparm nolightmap
	qer_editorimage textures/corridor/fractal2-oversat.tga
	{
		map textures/corridor/black
	}
	{
		map textures/corridor/fractal2-desat.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
	{
		map textures/corridor/fractal2-oversat.tga
		  //fade in approaching
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
}

textures/corridor/fractal1
{
	surfaceparm nodlight
	surfaceparm nolightmap
	qer_editorimage textures/corridor/fractal1-oversat.tga
	{
		map textures/corridor/black
	}
	{
		map textures/corridor/fractal1-desat.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
	{
		map textures/corridor/fractal1-oversat.tga
		  //fade in approaching
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
}

textures/corridor/fractal3
{
	surfaceparm nodlight
	surfaceparm nolightmap
	qer_editorimage textures/corridor/fractal3-oversat.tga
	{
		map textures/corridor/black
	}
	{
		map textures/corridor/fractal3-desat.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
	{
		map textures/corridor/fractal3-oversat.tga
		  //fade in approaching
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
}

textures/corridor/fractal4
{
	surfaceparm nodlight
	surfaceparm nolightmap
	qer_editorimage textures/corridor/fractal4-oversat.tga
	{
		map textures/corridor/black
	}
	{
		map textures/corridor/fractal4-desat.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
	{
		map textures/corridor/fractal4-oversat.tga
		  //fade in approaching
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
}

textures/corridor/nemesis
{
	surfaceparm nodlight
	surfaceparm nolightmap
	qer_editorimage textures/corridor/nemesis-oversat.tga
	{
		map textures/corridor/black
	}
	{
		map textures/corridor/nemesis-desat.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
	{
		map textures/corridor/nemesis-oversat.tga
		  //fade in approaching
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
}

textures/corridor/hudf
{
	surfaceparm nodlight
	surfaceparm nolightmap
	qer_editorimage textures/corridor/hudf-oversat.tga
	{
		map textures/corridor/black
	}
	{
		map textures/corridor/hudf-desat.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
	{
		map textures/corridor/hudf-oversat.tga
		  //fade in approaching
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
}

textures/corridor/m87
{
	surfaceparm nodlight
	surfaceparm nolightmap
	qer_editorimage textures/corridor/m87-oversat.tga
	{
		map textures/corridor/black
	}
	{
		map textures/corridor/m87-desat.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
	{
		map textures/corridor/m87-oversat.tga
		  //fade in approaching
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 384
		rgbgen identitylighting
	}
}

textures/corridor/test
{
	portal
	surfaceparm nolightmap
	deformVertexes wave 100 sin 0 2 0 .5


	{
		map textures/sfx/portal_sfx3.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		depthWrite
	}


	{
		map textures/sfx/portal_sfx1.tga
		blendfunc gl_dst_color gl_zero
		tcMod rotate 360
	}

	{
		map textures/sfx/portal_sfx.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 .5 .2 .5
	}

	{
		map textures/sfx/portalfog.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		alphagen portal 256
		rgbGen identityLighting
		tcmod rotate .1 //.1
		tcmod scroll .01 .03
	}
}

textures/obsidian_test/flare-fade-in
{
	cull none
	deformVertexes autosprite
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
	{
		map textures/obsidian_test/beam_halogen.tga
		  //fade in approaching
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 512
	}
}

textures/obsidian_test/flare-fade-out
{
	cull none
	deformVertexes autosprite
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
	{
		map textures/obsidian_test/beam_halogen.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 512
	}
}

textures/corridor/flare-fade-out
{
	cull none
	deformVertexes autosprite
	surfaceparm nodlight
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
	{
		map textures/corridor/b4-coda-bw.tga
		  //fade out approaching
		blendFunc GL_SRC_ALPHA GL_ONE
		  //distance to start fading
		alphaGen portal 256
	}
}